<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: yahoo_weather_feed_panel.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."yahoo_weather_feed_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."yahoo_weather_feed_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."yahoo_weather_feed_panel/locale/English.php";
}

add_to_head("
<link type='text/css' href='".INFUSIONS."yahoo_weather_feed_panel/css/styles.css' media='screen' rel='stylesheet' />
<script type='text/javascript' src='".INFUSIONS."yahoo_weather_feed_panel/js/jquery.tools.min.js'></script>
<script type='text/javascript' src='".INFUSIONS."yahoo_weather_feed_panel/js/jquery.zweatherfeed.min.js'></script>
<script type='text/javascript'>
$(document).ready(function () {
	$('#test').weatherfeed(['RSXX0063','RSXX0091','RSXX1430','RSXX0038','RSXX0116']).ajaxStop(function() {
		$(\"div.scrollable\").scrollable({ 
        		vertical: true,  
	        	size: 1
		}).circular().navigator().autoscroll({
			interval: 3000
		});
	});
});
</script>
");

opentable($locale['ywf001']);
echo "<div class='scrollable vertical'>
	<div id='test' class='items'></div>
</div>
<div class='navi'></div>";
closetable();
?>